Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.wst.wsdl
Interface Operation

All Superinterfaces:
  ExtensibleElement, javax.wsdl.Operation, java.io.Serializable, WSDLElement

    public interface Operation

extends ExtensibleElement, javax.wsdl.Operation

A representation of the model object 'Operation'.

Since:
  1.0
See Also:
  `WSDLPackage.getOperation()`

Method Summary
`EList` | `getEFaults()` Returns the value of the 'EFaults' containment reference list.
`Input` | `getEInput()` Returns the value of the 'EInput' containment reference
`Output` | `getEOutput()` Returns the value of the 'EOutput' containment reference
`EList` | `getEParameterOrdering()` Returns the value of the 'EParameter Ordering' reference list.
`java.lang.String` | `getName()` Returns the value of the 'Name' attribute
`javax.wsdl.OperationType` | `getStyle()` Returns the value of the 'Style' attribute
`boolean` | `isUndefined()` Returns the value of the 'Undefined' attribute
`void` | `setEInput(Input value)` Sets the value of the '`EInput`' containment reference
`void` | `setEOutput(Output value)` Sets the value of the '`EOutput`' containment reference
`void` | `setName(java.lang.String value)` Sets the value of the '`Name`' attribute
`void` | `setStyle(javax.wsdl.OperationType value)` Sets the value of the '`Style`' attribute
`void` | `setUndefined(boolean value)` Sets the value of the '`Undefined`' attribute

Methods inherited from interface org.eclipse.wst.wsdl.ExtensibleElement
`addExtensibilityElement, getEExtensibilityElements, getExtensibilityElements`

Methods inherited from interface org.eclipse.wst.wsdl.WSDLElement
`elementChanged, getContainer, getDocumentationElement, getElement, getEnclosingDefinition, setDocumentationElement, setElement, setEnclosingDefinition, updateElement, updateElement`

Methods inherited from interface javax.wsdl.Operation
`addFault, getDocumentationElement, getFault, getFaults, getInput, getOutput, getParameterOrdering, setDocumentationElement, setInput, setOutput, setParameterOrdering`

Method Detail

### getStyle

    javax.wsdl.OperationType getStyle()

  Returns the value of the 'Style' attribute.

  If the meaning of the 'Style' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getStyle` in interface `javax.wsdl.Operation`
  Returns:
    the value of the 'Style' attribute.
  See Also:
    `setStyle(OperationType)`, `WSDLPackage.getOperation_Style()`

### setStyle

    void setStyle(javax.wsdl.OperationType value)

  Sets the value of the '`Style`' attribute.

  Specified by:
    `setStyle` in interface `javax.wsdl.Operation`
  Parameters:
    `value` - the new value of the 'Style' attribute.
  See Also:
    `getStyle()`

### getName

    java.lang.String getName()

  Returns the value of the 'Name' attribute.

  If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getName` in interface `javax.wsdl.Operation`
  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `WSDLPackage.getOperation_Name()`

### setName

    void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Specified by:
    `setName` in interface `javax.wsdl.Operation`
  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`

### isUndefined

    boolean isUndefined()

  Returns the value of the 'Undefined' attribute.

  If the meaning of the 'Undefined' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `isUndefined` in interface `javax.wsdl.Operation`
  Returns:
    the value of the 'Undefined' attribute.
  See Also:
    `setUndefined(boolean)`, `WSDLPackage.getOperation_Undefined()`

### setUndefined

    void setUndefined(boolean value)

  Sets the value of the '`Undefined`' attribute.

  Specified by:
    `setUndefined` in interface `javax.wsdl.Operation`
  Parameters:
    `value` - the new value of the 'Undefined' attribute.
  See Also:
    `isUndefined()`

### getEInput

    Input getEInput()

  Returns the value of the 'EInput' containment reference.

  If the meaning of the 'EInput' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'EInput' containment reference.
  See Also:
    `setEInput(Input)`, `WSDLPackage.getOperation_EInput()`

### setEInput

    void setEInput(Input value)

  Sets the value of the '`EInput`' containment reference.

  Parameters:
    `value` - the new value of the 'EInput' containment reference.
  See Also:
    `getEInput()`

### getEOutput

    Output getEOutput()

  Returns the value of the 'EOutput' containment reference.

  If the meaning of the 'EOutput' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'EOutput' containment reference.
  See Also:
    `setEOutput(Output)`, `WSDLPackage.getOperation_EOutput()`

### setEOutput

    void setEOutput(Output value)

  Sets the value of the '`EOutput`' containment reference.

  Parameters:
    `value` - the new value of the 'EOutput' containment reference.
  See Also:
    `getEOutput()`

### getEFaults

    EList getEFaults()

  Returns the value of the 'EFaults' containment reference list. The list contents are of type `Fault`.

  If the meaning of the 'EFaults' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'EFaults' containment reference list.
  See Also:
    `WSDLPackage.getOperation_EFaults()`

### getEParameterOrdering

    EList getEParameterOrdering()

  Returns the value of the 'EParameter Ordering' reference list. The list contents are of type `Part`.

  If the meaning of the 'EParameter Ordering' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'EParameter Ordering' reference list.
  See Also:
    `WSDLPackage.getOperation_EParameterOrdering()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD